﻿var map;
var pointinfotab = new Array(100);
var icontab = new Array(10);



//*****************************************************************************
//
//
//
//
//*****************************************************************************
// 地図の初期表示のときの中心地点は、
// 例は、大阪市営地下鉄　御堂筋線　なんば駅 北口

   var centerlat = 34.666990882254964;
   var centerlon = 135.50037216618895;

   var latlng = new Y.LatLng(centerlat, centerlon);
//
//
//
//
//*****************************************************************************
// １００個の地点を指定。
//  形式は、全体をクォーテーション'で囲んで、カンマ,区切りで、
//　'名称,緯度,経度,吹き出し,アイコン番号'; の５個です。
//  　　注意・・・＞ 名称は地図の下のボタン名称になるので簡潔に短めにしてください。
//  　　　　　　　　 カンマ,は区切り文字なので、文字列中に指定不可！
// 例は、大阪なんば地下街です。
   pointinfotab[0] = '地下鉄,34.66694676141356,135.5002970643365,御堂筋線なんば駅　北口,0';
   pointinfotab[1] = 'オムライス,34.667266636981296,135.49943875745203,店名が<br>「卵と私」,4';
   pointinfotab[2] = 'トイレ,34.66708463896471,135.50322603658094,噴水を見てから・・・。,5';
// ...............................................
// ..... この間に適当に pointinfotab[3]～pointinfotab[98]も　追加できます！！！　........
// ..............................................
   pointinfotab[99] = null;
//
//
//
//
//*****************************************************************************
//
//*****************************************************************************
// 地図のズーム・レベルは、（地下街は指定無意味だが取りあえず19固定）
   var zoom = 19;                
//
//
//
//アイコン番号　0から9　の１０個まで。
// 任意のアイコン・ファイルを指定
   icontab[0] = new Array('', 'blink_redball.gif');
   icontab[1] = new Array('その他', 'mark_whiteball.gif');
   icontab[2] = new Array('通り路', 'mark_yellowball.gif');
   icontab[3] = new Array('お買物', 'mark_redball.gif');
   icontab[4] = new Array('お食事', 'mark_blueball.gif');
   icontab[5] = new Array('休憩・見物', 'mark_greenball.gif');
   icontab[6] = new Array('', '');
   icontab[7] = new Array('', '');
   icontab[8] = new Array('', '');
   icontab[9] = new Array('', '');
//
//
//
//*****************************************************************************
// 地図の中心地点マークを表示したくないなら、
//   true を false に替える。
   var centermark = true;
//
//
//
//
//*****************************************************************************
// 地図面をクリックでその地点の緯度・経度を表示して調べたいなら、0 を 1 に替える。
   var clickmap = 0;
//
//
//
//
//*****************************************************************************
// 名称ボタンを表示しないなら、1 を 0 に替える。
   var meisyoubutton = 1;
// 名称一覧表を表示しないなら、1 を 0 に替える。
   var meisyouichiran = 1;
//
//
//
//
//
//
//
// ※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※
// ※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※
// ※※※　　　　　　　　　　　　　　　　　　　　　　　　　　　※※※
// ※※※　以下は、変更する必要はありません。　　　　　　　　　※※※
// ※※※　　　　　　　　　　　　　　　　　　　　　　　　　　　※※※
// ※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※　
// ※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※　
//
window.onload=function(){
    //地図オブジェクトを作成します。
    map = new Y.Map("map", {
        configure : {
            doubleClickZoom: true,     //ダブルクリックで地図のズームインを有効にします。
            doubleClickPan: true,     //ダブルクリックでそこを地図の中心にする。
            scrollWheelZoom: false,     //マウスのスクロールホイールによるズーム処理を有効にします。
            dragging: true,            //ドラッグ操作で地図を移動可能にします。
            weatherOverlay: false,       //雨雲をデフォルトで地図上に重ねて表示します。
            mapType : Y.Map.TYPE.STANDARD //PC用地図
        }
    });
        //または、setConfigureでセットする。
        //map.setConfigure('doubleClickZoom', false);
        //または、Map.setConfigureでPC用地図を指定する。
        //map.setConfigure('mapType', Y.Map.TYPE.STANDARD);
        //ちなみにスマートフォンの場合
        //                            Y.Map.TYPE.SMARTPHONE
        //map.setConfigure('mapType', Y.Map.TYPE.PHOTO);

    // 地下街LayerSetId.B1
    map.drawMap(latlng, zoom, Y.LayerSetId.B1);
        //map.drawMap(latlng, zoom, Y.LayerSetId.NORMAL);
        //初期化済みの地図を航空写真に切り替えるなら。
        //map.setLayerSet(Y.LayerSetId.PHOTO);

    //地図の縮尺を変更するための横長スライダー形式のユーザーインターフェースを表示します。
    map.addControl(new Y.SliderZoomControlHorizontal());
    //レイヤを選択するコントロールを追加します。
    map.addControl(new Y.LayerSetControl());
    //中心位置を表示するコントロールを追加します。
    if(centermark == true){
      map.addControl(new Y.CenterMarkControl());
    }
    //距離の目安となるスケールバーを追加します。
    map.addControl(new Y.ScaleControl());
    //地図検索のユーザーインターフェースを表示します。
    map.addControl(new Y.SearchControl(), new Y.ControlPosition(Y.ControlPosition.BOTTOM_LEFT, new Y.Size(0, 50)));
    //なんか住所を選択するだけで地図がそこを表示する　　※便利※
    map.addControl(new Y.AddressCategoryControl(), new Y.ControlPosition(Y.ControlPosition.BOTTOM_RIGHT, new Y.Size(0, 50)));
    //逆はmap.removeControl(new Y.ZoomControl());









    // 地図面をクリック　イベント追加
    map.bind('click', function(clickLatLng){
      latlontab = clickLatLng.toString().split(',');
      if(clickmap=='1'){
        this.openInfoWindow(clickLatLng, "クリックした地点は、<br>" + '緯度:' + latlontab[0] + '<br>' + '経度:' + latlontab[1]+ '<br>' + "　です。");
      }
    })




   // 地図の下のｏｕｔ１への表示出力用table
   if(meisyoubutton=='1'){
     var out1wk = '<hr>名称ボタン<br><table width=100%>';
   }
   // 地図の下のｏｕｔ２への表示出力用table
   if(meisyouichiran=='1'){
     var out2wk = '<hr>名称一覧表<br><table border=1 width=100%>';
     out2wk = out2wk + '<th>' + '名称' + '</th><th>' + '吹き出し' + '</th><th>' + '分類' + '</th>';
   }

// １００個までの地点を表示
   for(i=0;i<100;i++){
     if(pointinfotab[i]==null){
     } else {
       pointinfotabsplit = pointinfotab[i].split(',');
       // 地図の下のｏｕｔ１への表示出力用table行
       if(meisyoubutton=='1'){
         out1wk = out1wk + '<input type=button onclick=moveToIcon(' + i + ') value=' + pointinfotabsplit[0].replace(' ','&nbsp') + '>';
       }
       // 地図の下のｏｕｔ２への表示出力用table行
       if(meisyouichiran=='1'){

         out2wk = out2wk + '<tr>' + '<td>' + '<span onclick=moveToIcon(' + i + ')><u>' + pointinfotabsplit[0] + '</u></span>' + '</td><td>' + pointinfotabsplit[3] + '</td><td>' + icontab[pointinfotabsplit[4]][0] + '</td>' + '</tr>';
       }
     }
   }


   // マーカー地点の名称の表示/非表示ボタンを付ける
   out1.innerHTML = out1.innerHTML + '<input type=button style=border:0px;color:#FF9999;background-color:#aaaaaa; onclick=setenablelbl() value=名称表示／非表示>'; 

   // 名称ボタン
   if(meisyoubutton=='1'){
     out1wk = out1wk + '</table>';
     out1.innerHTML = out1.innerHTML + out1wk;
   }
   // クリックでその地点の緯度・経度を表示して調べるための隠しボタン
   out1.innerHTML = out1.innerHTML + '<br><br><input type=button style=border:0px;color:#FFFFFF;background-color:#FFFFFF; onclick="javascript:clickmap = 1;">';

   // 名称一覧表
   if(meisyouichiran=='1'){
     out2wk = out2wk + '</table>';
     out2.innerHTML = out2wk;
   }


   mapadd();


}





// マーカー
var markers = new Array();
// ラベル（名称表示用）
var labels = new Array();
// ラベルは別レイヤーとしてマップに乗せる（消す時に一括して消せるから！）
var labelslayer = new Y.FeatureLayer();



function mapadd()
{
//  アイコンを地図に登録する。
// １００個までの地点を表示

   var j = 0;
   for(i=0;i<100;i++){
     if(pointinfotab[i]==null){
     } else {
       pointinfotabsplit = pointinfotab[i].split(',');
       // 地図上に、アイコンを表示
       markers[j] = new Object();
       labels[j] = new Object();
       markers[j] = new Y.Marker( new Y.LatLng(pointinfotabsplit[1], pointinfotabsplit[2]), { icon : new Y.Icon(icontab[pointinfotabsplit[4]][1], {iconOrigin: new Y.Point(0,0)}),  title : icontab[pointinfotabsplit[4]][0]} );
       labels[j] = new Y.Label( new Y.LatLng(pointinfotabsplit[1], pointinfotabsplit[2]), pointinfotabsplit[0], { clickable : false, draggable : false } );
       markers[j].bindInfoWindow(pointinfotabsplit[0]+"<br>"+pointinfotabsplit[3]);
       j++;
     }
   }

// マーカー
   map.addFeatures( markers );
// ラベル
   map.addLayer(labelslayer);
   labelslayer.addFeatures(labels);

}





function moveToIcon(i){
  pointinfotabsplit = pointinfotab[i].split(',');
  var latlonmove = new Y.LatLng(pointinfotabsplit[1],pointinfotabsplit[2]);
  map.panTo(latlonmove, false);
  map.openInfoWindow(new Y.LatLng(pointinfotabsplit[1],pointinfotabsplit[2]), pointinfotabsplit[0]+"<br>"+pointinfotabsplit[3]);
  location.href = '#Top1';
}








// ※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※　



// マーカー地点のラベル（＝名称）の表示/非表示を切り替え
var labelsonoff = 1;
function setenablelbl(){
    if(labelsonoff==0){
      // レイヤーを先にマップに乗せる。feature labelsはレイヤーにadd追加乗せ
      map.addLayer(labelslayer);
      labelslayer.addFeatures(labels);
      labelsonoff = 1;
    } else {
      ///// ラベルをレイヤーごと消す。
      labelslayer.clearFeatures();
      map.removeLayer(labelslayer);
      labelsonoff = 0;
    }
}






